GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
geos::noding::Octant Class Reference

Methods for computing and working with octants of the Cartesian plane. More...

`#include <Octant.h>`

## Static Public Member Functions
static int | octant (double dx, double dy)
static int | octant (const geom::Coordinate &p0, const geom::Coordinate &p1)
static int | octant (const geom::Coordinate *p0, const geom::Coordinate *p1)

## Detailed Description

Methods for computing and working with octants of the Cartesian plane.

Octants are numbered as follows:

2|1 3 | 0 —+– 4 | 7 5|6

If line segments lie along a coordinate axis, the octant is the lower of the two possible values.

Last port: noding/Octant.java rev. 1.2 (JTS-1.7)

## Member Function Documentation

static int geos::noding::Octant::octant | ( | double | dx,
|  | double | dy
| ) |  |
| static

Returns the octant of a directed line segment (specified as x and y displacements, which cannot both be 0).

static int geos::noding::Octant::octant | ( | const geom::Coordinate & | p0,
|  | const geom::Coordinate & | p1
| ) |  |
| static

Returns the octant of a directed line segment from p0 to p1.

The documentation for this class was generated from the following file:

- Octant.h